pango1.0-tests_1.42.4-6_amd64.deb


Advertisement

Description

pango1.0-tests - Layout and rendering of internationalized text - installed tests

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename pango1.0-tests_1.42.4-6_amd64.deb
Package name pango1.0-tests
Package version 1.42.4
Package release 6
Package architecture amd64
Package type deb
Category universe/libs
Homepage http://www.pango.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 89.50 KB
Installed size 851.00 KB
Pango is a library for layout and rendering of text, with an emphasis
on internationalization. Pango can be used anywhere that text layout is
needed. however, most of the work on Pango-1.0 was done using the GTK+
widget toolkit as a test platform. Pango forms the core of text and
font handling for GTK+-2.0.
Pango is designed to be modular; the core Pango layout can be used with
four different font backends:
- Core X windowing system fonts
- Client-side fonts on X using the Xft library
- Direct rendering of scalable fonts using the FreeType library
- Native fonts on Microsoft backends
This package contains test programs, designed to be run as part of a
regression testsuite.

Alternatives

Package Version Architecture Repository
pango1.0-tests_1.42.4-6ubuntu0.1_i386.deb 1.42.4 i386 Ubuntu Updates Universe
pango1.0-tests_1.42.4-6ubuntu0.1_amd64.deb 1.42.4 amd64 Ubuntu Updates Universe
pango1.0-tests_1.42.4-6_i386.deb 1.42.4 i386 Ubuntu Universe
pango1.0-tests - - -

Requires

Name Value
fonts-cantarell -
libc6 >= 2.4
libcairo2 >= 1.12.10
libglib2.0-0 >= 2.37.2
libpango-1.0-0 >= 1.42.0
libpangocairo-1.0-0 >= 1.22.0
libpangoft2-1.0-0 >= 1.18.0

Download

Type URL
Mirror archive.ubuntu.com
Binary Package pango1.0-tests_1.42.4-6_amd64.deb
Source Package pango1.0

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pango1.0-tests deb package:
    # sudo apt-get install pango1.0-tests

Files

Path
/usr/lib/pango1.0/installed-tests/pango/GraphemeBreakTest.txt
/usr/lib/pango1.0/installed-tests/pango/all-unicode.txt
/usr/lib/pango1.0/installed-tests/pango/boundaries.utf8
/usr/lib/pango1.0/installed-tests/pango/cxx-test
/usr/lib/pango1.0/installed-tests/pango/markup-parse
/usr/lib/pango1.0/installed-tests/pango/test-font
/usr/lib/pango1.0/installed-tests/pango/test-layout
/usr/lib/pango1.0/installed-tests/pango/test-ot-tags
/usr/lib/pango1.0/installed-tests/pango/test-pangocairo-threads
/usr/lib/pango1.0/installed-tests/pango/testattributes
/usr/lib/pango1.0/installed-tests/pango/testboundaries
/usr/lib/pango1.0/installed-tests/pango/testboundaries_ucd
/usr/lib/pango1.0/installed-tests/pango/testcolor
/usr/lib/pango1.0/installed-tests/pango/testiter
/usr/lib/pango1.0/installed-tests/pango/testscript
/usr/lib/pango1.0/installed-tests/pango/layouts/valid-1.expected
/usr/lib/pango1.0/installed-tests/pango/layouts/valid-1.markup
/usr/lib/pango1.0/installed-tests/pango/layouts/valid-2.expected
/usr/lib/pango1.0/installed-tests/pango/layouts/valid-2.markup
/usr/lib/pango1.0/installed-tests/pango/markups/fail-1.expected
/usr/lib/pango1.0/installed-tests/pango/markups/fail-1.markup
/usr/lib/pango1.0/installed-tests/pango/markups/fail-2.expected
/usr/lib/pango1.0/installed-tests/pango/markups/fail-2.markup
/usr/lib/pango1.0/installed-tests/pango/markups/fail-3.expected
/usr/lib/pango1.0/installed-tests/pango/markups/fail-3.markup
/usr/lib/pango1.0/installed-tests/pango/markups/fail-4.expected
/usr/lib/pango1.0/installed-tests/pango/markups/fail-4.markup
/usr/lib/pango1.0/installed-tests/pango/markups/fail-5.expected
/usr/lib/pango1.0/installed-tests/pango/markups/fail-5.markup
/usr/lib/pango1.0/installed-tests/pango/markups/valid-1.expected
/usr/lib/pango1.0/installed-tests/pango/markups/valid-1.markup
/usr/lib/pango1.0/installed-tests/pango/markups/valid-2.expected
/usr/lib/pango1.0/installed-tests/pango/markups/valid-2.markup
/usr/lib/pango1.0/installed-tests/pango/markups/valid-3.expected
/usr/lib/pango1.0/installed-tests/pango/markups/valid-3.markup
/usr/lib/pango1.0/installed-tests/pango/markups/valid-4.expected
/usr/lib/pango1.0/installed-tests/pango/markups/valid-4.markup
/usr/lib/pango1.0/installed-tests/pango/markups/valid-5.expected
/usr/lib/pango1.0/installed-tests/pango/markups/valid-5.markup
/usr/lib/pango1.0/installed-tests/pango/markups/valid-6.expected
/usr/lib/pango1.0/installed-tests/pango/markups/valid-6.markup
/usr/lib/pango1.0/installed-tests/pango/markups/valid-7.expected
/usr/lib/pango1.0/installed-tests/pango/markups/valid-7.markup
/usr/lib/pango1.0/installed-tests/pango/markups/valid-8.expected
/usr/lib/pango1.0/installed-tests/pango/markups/valid-8.markup
/usr/lib/pango1.0/installed-tests/pango/markups/valid-9.expected
/usr/lib/pango1.0/installed-tests/pango/markups/valid-9.markup
/usr/share/doc/pango1.0-tests/changelog.Debian.gz
/usr/share/doc/pango1.0-tests/copyright
/usr/share/installed-tests/pango/cxx-test.test
/usr/share/installed-tests/pango/markup-parse.test
/usr/share/installed-tests/pango/test-font.test
/usr/share/installed-tests/pango/test-layout.test
/usr/share/installed-tests/pango/test-ot-tags.test
/usr/share/installed-tests/pango/test-pangocairo-threads.test
/usr/share/installed-tests/pango/testattributes.test
/usr/share/installed-tests/pango/testboundaries.test
/usr/share/installed-tests/pango/testboundaries_ucd.test
/usr/share/installed-tests/pango/testcolor.test
/usr/share/installed-tests/pango/testiter.test
/usr/share/installed-tests/pango/testscript.test

Changelog

2018-12-27 - Jeremy Bicha <jbicha@debian.org>
pango1.0 (1.42.4-6) unstable; urgency=medium
* Restore -Wl,-O1 to our LDFLAGS
* Bump Standards-Version to 4.3.0
2018-12-11 - Jeremy Bicha <jbicha@debian.org>
pango1.0 (1.42.4-5) unstable; urgency=medium
* Backport the emoji & Unicode 11 updates from pango 1.43 (LP: #1808075)
* libpango1.0-dev: drop unnecessary Recommends: debhelper
2018-11-15 - Jeremy Bicha <jbicha@debian.org>
pango1.0 (1.42.4-4) unstable; urgency=medium
[ Hugh McMaster ]
* debian/copyright: Update for Pango 1.42.4
* debian/control.in: Split the development utilities into a new package
* debian/control.in: Mark libpango1.0-dev Multi-Arch: same
2018-09-06 - Jeremy Bicha <jbicha@debian.org>
pango1.0 (1.42.4-3) unstable; urgency=medium
* Add build-Don-t-force-C99-for-meson-build.patch:
- proposed patch to fix build differences on i386 (Closes: #907522)
2018-08-28 - Jeremy Bicha <jbicha@debian.org>
pango1.0 (1.42.4-2) unstable; urgency=medium
* Build with meson
2018-08-20 - Jeremy Bicha <jbicha@debian.org>
pango1.0 (1.42.4-1) unstable; urgency=medium
* New upstream release
- CVE-2018-15120
* debian/libpango1.0-dev.install: Install new pango-list utility
* Drop fribidi patch: applied in new release
2018-06-28 - Simon McVittie <smcv@debian.org>
pango1.0 (1.42.1-2) unstable; urgency=medium
* Team upload
[ Jeremy Bicha ]
* Drop obsolete debian/source/options
[ Simon McVittie ]
* d/p/pango.pc.in-Move-fribidi-to-Requires.private.patch:
Move fribidi from Requires to Requires.private (Closes: #895235)
2018-04-07 - Jeremy Bicha <jbicha@debian.org>
pango1.0 (1.42.1-1) unstable; urgency=medium
* New upstream release
* Bump Build-Depends on libfontconfig1-dev to >= 2.11.91
* Have libpango1.0-dev depend on libfribidi-dev
* debian/rules: Drop unnecessary gnome-get-source include
* Bump Standards-Version to 4.1.4
2018-03-24 - Jeremy Bicha <jbicha@debian.org>
pango1.0 (1.42.0-1) unstable; urgency=medium
* New upstream release
* Add new symbols
* Build-Depend on libfribidi-dev since new release uses it
instead of bundled mini-fribidi library
* Update Vcs fields for migration to https://salsa.debian.org/
* debian/copyright: Convert to 1.0 format
2017-12-20 - Jeremy Bicha <jbicha@debian.org>
pango1.0 (1.40.14-1) unstable; urgency=medium
* New upstream release
* Drop all patches, applied in new release
* Update Vcs fields for conversion to git
* Add debian/gbp.conf
* Bump Standards-Version to 4.1.2
* Bump debhelper compat to 11

See Also

Package Description
pangoterm_0~bzr607-2_amd64.deb GTK/Pango-based terminal
pangzero_1.4.1+git20121103-4_all.deb action game that involves popping balloons with a harpoon
panko-api_6.0.0-0ubuntu1_all.deb Event storage dispatcher for Ceilometer
panko-common_6.0.0-0ubuntu1_all.deb panko common files
panoramisk_1.0-1.1_all.deb asyncio based library to play with asterisk (Python 3 binary)
paperkey_1.6-1_amd64.deb extract just the secret information out of OpenPGP secret keys
papi-examples_5.6.0+git99-gd5a1a9ae2-1_all.deb PAPI example files and test programs
papi-tools_5.6.0+git99-gd5a1a9ae2-1_amd64.deb PAPI utilities
papirus-icon-theme_20190203-1_all.deb Papirus open source icon theme for Linux
paprass_2.06-2_all.deb Manager of electronic documents
paprefs_1.0-1_amd64.deb PulseAudio Preferences
paps_0.6.8-7.1_amd64.deb UTF-8 to PostScript converter using Pango
par2_0.8.0-1_amd64.deb PAR 2.0 compatible file verification and repair tool
par_1.52-3build1_amd64.deb Paragraph reformatter
paraclu_9-2_amd64.deb Parametric clustering of genomic and transcriptomic features
Advertisement
Advertisement